#version 330 core

uniform mat4 modelViewProjMatrix;
uniform mat4 modelViewMatrix;
uniform mat4 normalMatrix;
uniform mat4 depthBiasMVP;
uniform bool drawShadow;

layout (location = 0) in vec3 position;
layout (location = 1) in vec3 normal;
layout (location = 2) in vec2 uvs;

smooth out vec3 vNormal;
out vec2 uv;
out vec4 eye;
out vec4 smCoords;

void main(){
	gl_Position =  modelViewProjMatrix * vec4(position, 1.0);
	smCoords = vec4(0.f);
	if (drawShadow) {smCoords = depthBiasMVP * vec4(position, 1.0);}
	eye = -(modelViewMatrix * vec4(position, 1.0));
	vec4 vRes = normalMatrix * vec4(normal, 0.0);
	vNormal = vRes.xyz;
	uv = uvs;
}
